import Player from "../game/Player";
import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import { Command } from "./Interface";
const c = new Logger("/ban", "blue");

export default async function handle(command: Command, target: Session) {
    const uid = parseInt(command.args[0]);
 
    if (!target) {
        if (!uid) return c.log("Usage: /ban <uid>");

        const player = await Player.fromUID(target, uid);
        if (!player) return c.log("Player not found");

        player.db.isBanned = !player.db.isBanned;
        await player.save();

        c.log(`${player.db.isBanned ? "Banned" : "Unbanned"} ${player.db.name}`);
    } else {
        const banStatus = target.player.db.isBanned;
        target.player.db.isBanned = !banStatus;
        await target.player.save();
        target.kick(true);
    
        c.log(`${banStatus ? "Banned" : "Unbanned"} ${target.account?.name}`);
    }
}