import Session from "../server/kcp/Session";
import SRServer from "../server/kcp/SRServer";
import Logger from "../util/Logger";
import { Command } from "./Interface";
const c = new Logger("/kickall", "blue");

//? Usage: /kickall [hard] [unknown]
//? Unknown soft-kicks all players with undefined account
export default async function handle(command: Command, target: Session) {
    const unknown = command.args[1];
    const hard = command.args[0];

    for (const [key, session] of SRServer.getInstance().sessions) {
        if (!!unknown) {
            if (!session.account?.uid) session.kick(!!hard);
        } else {
            session.kick(!!hard);
        }
    }

    c.log(`Kicked all players. Hard kick: ${!!hard}`);
}