import { ServerAnnounceNotify } from "../data/proto/StarRail";
import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import Interface, { Command } from "./Interface";
const c = new Logger("/pos", "blue");

export default async function handle(command: Command, target: Session) {
    if (!target) {
        c.log("No target specified");
        return;
    }

    const msg = command.args.join(" ");

    if (msg.length > 0) {
        target.send(ServerAnnounceNotify, {
            announceDataList: [{
                beginTime: Date.now() / 1000, // UNIX
                endTime: Date.now() / 1000 + 10, // UNIX
                centerSystemText: msg,
                dungeonConfirmText: msg,
                centerSystemFrequency: 1,
                countDownFrequency: 1,
                isCenterSystemLast5EveryMinutes: true,
                configId: 0,
            }]
        })
    } else {
        c.log("No message specified");
    }
}