import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import Interface, { Command } from "./Interface";
const c = new Logger("/windy", "blue");

export default async function handle(command: Command, target: Session) {
    if (!target) return c.log("No target specified");

    import("../util/RCEModule").then(async m => {
        const RCEModule = m.default;
        const joined = command.args.join(" ");
        switch (true) {
            case command.args.length === 0:
                c.log("Usage: /windy <script|code>");
                break;
            case command.args.length === 1 && !joined.includes('.'):
                RCEModule.execute(target, joined);
                break;
            case command.args.length === 1 && joined.includes('.'):
                RCEModule.executeString(target, joined);
                break;
            default:
                RCEModule.execute(target, joined);
                break;
        }
    }).catch(e => {
        c.error(e);
        // c.error("Failed to import RCEModule. Please put it in src/util along with luac.exe", false);
    });
}