import Session from "../server/kcp/Session";
import Logger from "../util/Logger";
import Interface, { Command } from "./Interface";
const c = new Logger("/worldlevel", "blue");

export default async function handle(command: Command, target: Session) {
    if (!target) {
        c.log("No target specified");
        return;
    }

    const worldLevel = parseInt(command.args[0]);
    if (!worldLevel || isNaN(worldLevel) || worldLevel < 1 || worldLevel > 6) {
        c.log(`Usage: /worldlevel <worldLevel>`);
        return;
    }

    target.player.db.basicInfo.worldLevel = worldLevel;
    await target.player.save();

    await target.sync();
    c.log(`Set world level to ${worldLevel}`);
}