import { Request, Response } from "express";
import Logger, { VerboseLevel } from "../../../util/Logger";
const c = new Logger("dataUpload", "green");

export default function handle(req: Request, res: Response) {
    try {
        if (Logger.VERBOSE_LEVEL === VerboseLevel.VERBH) console.debug(JSON.stringify(req.body, null, 4))
        if (Logger.VERBOSE_LEVEL >= VerboseLevel.WARNS) {
            for (const report of req.body) {
                const content = <string>report.uploadContent.PluginData.Title;
                c.log(`${content.split("\n")[0]} (UID: ${report.uploadContent.AppInfo.UserId ?? report.uploadContent.CustomData.LastUserID})`)
                c.trail(content.split("\n").slice(1).join("\n").trim());
                c.trail(report.uploadContent.PluginData.StackTrace.replace(/\\n/g, "\n").trim());
            }
        }
    } catch (e) {
        c.error(<Error>e);
    } finally {
        res.send({ code: 0 });
    }
}