import { Request, Response } from "express";
import Config from "../../util/Config";
import { Region, mbDispatch } from "../../data/proto/StarRail";

export default function handle(req: Request, res: Response) {
    const dataObj = mbDispatch.fromPartial({
        retcode: 0,
        regionList: [],
        topSeverRegionName: "CrepeSR"
    });

    Config.DISPATCH.forEach(item => {
        dataObj.regionList!.push({
            // dispatch_url: item.DISPATCH_URL,
            // env_type: "7",
            // name: item.DISPATCH_NAME,
            // title: "CrepeSR"
            envType: "2",
            dispatchUrl: item.DISPATCH_URL,
            name: item.DISPATCH_NAME,
            displayName: item.DISPATCH_NAME
        });
    });

    let rsp;
    try {
        rsp = mbDispatch.encode(dataObj).finish();
    } catch {
        rsp = mbDispatch.encode(mbDispatch.fromPartial({
            retcode: 2,
            msg: "Internal server error",
        })).finish();
    }

    res.send(Buffer.from(rsp).toString('base64'));
}