import { AcceptMissionEventCsReq, AcceptMissionEventScRsp, MissionStatus } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <AcceptMissionEventCsReq>packet.body;

    session.send(AcceptMissionEventScRsp, {
        retcode: 0,
        missionEvent: {
            id: body.missionEventId,
            status: MissionStatus.MISSION_STATUS_MISSION_DOING,
            progress: 0
        }
    })
}