import { BuyGoodsCsReq, BuyGoodsScRsp, Retcode } from "../../data/proto/StarRail";
import ShopGoodsConfig from "../../util/excel/ShopGoodsConfig";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <BuyGoodsCsReq>packet.body;

    const shopGoods = ShopGoodsConfig.fromShopId(body.shopId || 0);
    if (!shopGoods) return session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_SHOP_NOT_OPEN });

    const good = shopGoods.find(g => g.GoodsID === body.goodsId);
    if (!good) return session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_GOODS_NOT_OPEN });

    const hIndex = good.CurrencyList.indexOf(1);
    const sIndex = good.CurrencyList.indexOf(2);

    const hPrice = hIndex < 0 ? 0 : good.CurrencyCostList[hIndex] * (body.goodsNum || 1);
    const sPrice = hIndex < 0 ? 0 : good.CurrencyCostList[sIndex] * (body.goodsNum || 1);

    // Pay items
    // Fuck this tbh this won't work. Make it make sense, it's a PS anyway let people have fun
    // if (hPrice > 0) {
    //     session.c.debug(`${session.player.db.basicInfo.hcoin!} - ${hPrice} = ${session.player.db.basicInfo.hcoin! - hPrice}`);
    //     if (session.player.db.basicInfo.hcoin! < hPrice) return session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_ITEM_COST_NOT_ENOUGH });
    //     session.player.db.basicInfo.hcoin! -= hPrice;
    // }

    // if (sPrice > 0) {
    //     if (session.player.db.basicInfo.scoin! < sPrice) return session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_SCOIN_NOT_ENOUGH });
    //     session.player.db.basicInfo.scoin! -= sPrice;
    // }

    // await session.player.save();

    // Add items
    //? Could've optionally used body.itemId instead of good.ItemID
    const inventory = await session.player.getInventory();
    const succ = await inventory.addItem(good.ItemID || 102, body.goodsNum || 1, session.player);
    await inventory.save();

    session.c.debug(`[BuyGoodsScRsp] ${good.ItemID} x${body.goodsNum} [Success: ${succ}]`);
    succ ? session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_SUCC, returnItemList: { itemList: [{ itemId: good.ItemID, num: body.goodsNum }] } })
        : session.send(BuyGoodsScRsp, { retcode: Retcode.RETCODE_RET_SERVER_INTERNAL_ERROR });
}