import { DressAvatarCsReq, DressAvatarScRsp, Retcode } from "../../data/proto/StarRail";
import Avatar from "../../db/Avatar";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = packet.body as DressAvatarCsReq;

    const avatar = await Avatar.getAvatar(session.player, body.baseAvatarId ?? 0);

    if (!avatar || !body.equipmentUniqueId) {
        return session.send(DressAvatarScRsp, { retcode: Retcode.RETCODE_RET_SERVER_INTERNAL_ERROR });
    }

    avatar.equipmentUniqueId = body.equipmentUniqueId;
    await avatar.save();

    session.send(DressAvatarScRsp, { retcode: 0 });
    session.sync();
}