import { FinishTutorialCsReq, FinishTutorialScRsp, TutorialStatus } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = packet.body as FinishTutorialCsReq;

    const dataObj: FinishTutorialScRsp = {
        retcode: 0,
        tutorial: {
            status: TutorialStatus.TUTORIAL_FINISH,
            id: body.tutorialId
        }
    }

    session.send(FinishTutorialScRsp, dataObj);
}