import { GetChallengeScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const activities = Array.from({ length: 7 }, (_, i) => i + 1); // range(1, 7)

    const dataObj: GetChallengeScRsp = {
        retcode: 0,
        challengeList: []
    }

    activities.forEach(activity => {
        dataObj.challengeList!.push({
            challengeId: activity,
            stars: 7,
        });
    });

    session.send(GetChallengeScRsp, dataObj);
}