import { GetDailyActiveInfoScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const dataObj = <GetDailyActiveInfoScRsp>{
        "dailyActiveQuestIdList": [
            2100003,
            2100101,
            2100109,
            2100117,
            2100118
        ],
        "dailyActivePoint": 700,
        "dailyActiveLevelList": [
            {
                "level": 1,
                "dailyActivePoint": 100,
                "worldLevel": 2,
                "isHasTaken": true
            },
            {
                "level": 2,
                "dailyActivePoint": 200,
                "worldLevel": 2,
                "isHasTaken": true
            },
            {
                "level": 3,
                "dailyActivePoint": 300,
                "worldLevel": 2,
                "isHasTaken": true
            },
            {
                "level": 4,
                "dailyActivePoint": 400,
                "worldLevel": 2,
                "isHasTaken": true
            },
            {
                "level": 5,
                "dailyActivePoint": 500,
                "worldLevel": 2,
                "isHasTaken": true
            }
        ]
    };

    session.send(GetDailyActiveInfoScRsp, dataObj);
}