import { GachaInfo, GetGachaInfoScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";
import Banner from './../../util/Banner';

export default async function handle(session: Session, packet: Packet) {
    const banners = Banner.all();

    session.send(GetGachaInfoScRsp, {
        gachaInfoList: banners.map(banner => {
            return {
                beginTime: BigInt(Math.floor(Date.now() / 1000 - 10000)),
                endTime: BigInt(Math.floor(Date.now() / 1000 + 1000000)),
                gachaId: banner.gachaId,
                detailWebview: "https://omfgdogs.com/",
                dropHistoryWebview: "https://ko-fi.com/memetrollsxd",
                itemDetailList: [...banner.rateUpItems4, ...banner.rateUpItems5],
                prizeItemList: [...banner.rateUpItems5]
            } as GachaInfo
        })
    } as GetGachaInfoScRsp);
}