import { GetMailScRsp } from "../../data/proto/StarRail";
import Mail from "../../db/Mail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

//! CrepeSR is not for commercial use, and is not affiliated with miHoYo. Always include a link to the official community discord.
//! https://discord.gg/QYZxrcJkjH
const disclaimer =
    `Welcome to CrepeSR!

This is a sandbox server, and does not have the same features as the official server has.
Please be patient with server updates.
To execute in-game commands please edit your bio in your profile.

Access to sr.crepe.moe is free, but donations are appreciated. If you've paid for access, you've been scammed.
sr.crepe.moe服务器是免费游玩的，但可以捐钱的话是更好。 如果你是付钱进来的，那你已经被骗了。
Доступ к sr.crepe.moe бесплатный, но донаты принимаются.  Если вы платили за доступ,  то вас обманули
<a type=OpenURL2 href=https://discord.gg/QYZxrcJkjH>>> Discord</a> | <a type=OpenURL2 href=https://ko-fi.com/memetrollsxd>Ko-fi</a> | <a type=OpenURL2 href=https://afdian.net/a/crepe>AFDIAN <<</a>
`;

export default async function handle(session: Session, packet: Packet) {
    const mails = await Mail.fromUID(session.player.uid);
    session.c.debug(mails);

    const dataObj = <GetMailScRsp>{
        retcode: 0,
        mailList: [{
            id: 1, // Increasing (index)
            // Using &nbsp; for some reason? (\u00A0 0xA0)
            title: "Welcome to CrepeSR!",
            sender: "CrepeSR",
            content: disclaimer,
            time: Math.round(Date.now() / 1000),
            expireTime: Math.round(Date.now() / 1000 + 86400 * 7),
            isRead: false, // Unclaimed
            attachment: {
                itemList: [{
                    itemId: 1102,
                    num: 1,
                    level: 80,
                }]
            }
        },
        ...mails.map(x => x.parse())
        ],
        noticeMailList: [],
        totalNum: 0,
        isEnd: true // Honkai moment
    };

    dataObj.totalNum = dataObj.mailList!.length;

    session.c.debug(dataObj);
    session.send(GetMailScRsp, dataObj);
}