import { GetMissionDataScRsp, MissionStatus } from "../../data/proto/StarRail";
import MainMission from "../../util/excel/MainMission";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

function range(start: number, end: number) {
    return Array.from({length: (end - start)}, (v, k) => k + start);
}

export default async function handle(session: Session, packet: Packet) {
    const mmissions = MainMission.all();
    const dataObj = <GetMissionDataScRsp>{
        retcode: 0,
        missionList: [],
        EILABNJBLFK: mmissions.map(x => { return {
            id: x.MainMissionID,
        }})
    };

    for (const mmission of mmissions) {
        for (const id of range(mmission.StartSubMissionList[0], mmission.FinishSubMissionList[0])) {
            dataObj.missionList!.push({
                id,
                progress: 0,
                status: MissionStatus.MISSION_FINISH
            });
        }
    }

    session.send(GetMissionDataScRsp, dataObj);
}