import { GetSceneMapInfoCsReq, GetSceneMapInfoScRsp } from "../../data/proto/StarRail";
import MapEntrance from "../../util/excel/MapEntrance";
import MappingInfo from "../../util/excel/MappingInfo";
import MazePlane from "../../util/excel/MazePlane";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = packet.body as GetSceneMapInfoCsReq;

    const mapping = MappingInfo.fromId(body.entryId ?? 0, session.player.db.basicInfo.worldLevel) || MappingInfo.fromId(1001)!;

    const dataObj = {
        retcode: 0,
        entryId: body.entryId,
        lightenSectionList: [],
        mazePropList: [[
            {
                "state": 8,
                "configId": 300003,
                "groupId": 64
            },
            {
                "state": 1,
                "configId": 300001,
                "groupId": 33
            },
            {
                "state": 1,
                "configId": 300001,
                "groupId": 32
            },
            {
                "state": 1,
                "configId": 300003,
                "groupId": 28
            },
            {
                "state": 13,
                "configId": 300001,
                "groupId": 28
            },
            {
                "state": 1,
                "configId": 300045,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300044,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300013,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300015,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300001,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300012,
                "groupId": 3
            },
            {
                "configId": 300002,
                "groupId": 1
            },
            {
                "state": 8,
                "configId": 300021,
                "groupId": 1
            },
            {
                "state": 13,
                "configId": 300001,
                "groupId": 27
            },
            {
                "state": 8,
                "configId": 300006,
                "groupId": 1
            },
            {
                "state": 1,
                "configId": 300001,
                "groupId": 26
            },
            {
                "state": 8,
                "configId": 300022,
                "groupId": 1
            },
            {
                "state": 1,
                "configId": 300003,
                "groupId": 27
            },
            {
                "state": 8,
                "configId": 300007,
                "groupId": 1
            },
            {
                "configId": 300001,
                "groupId": 1
            },
            {
                "state": 1,
                "configId": 300004,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300003,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300014,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300016,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300039,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300040,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300041,
                "groupId": 3
            },
            {
                "state": 1,
                "configId": 300001,
                "groupId": 6
            },
            {
                "state": 1,
                "configId": 300006,
                "groupId": 6
            },
            {
                "configId": 300010,
                "groupId": 6
            },
            {
                "state": 1,
                "configId": 300011,
                "groupId": 6
            },
            {
                "configId": 300013,
                "groupId": 6
            },
            {
                "state": 1,
                "configId": 300014,
                "groupId": 6
            },
            {
                "state": 13,
                "configId": 300008,
                "groupId": 10
            },
            {
                "state": 13,
                "configId": 300010,
                "groupId": 10
            },
            {
                "state": 13,
                "configId": 300011,
                "groupId": 10
            },
            {
                "state": 13,
                "configId": 300012,
                "groupId": 10
            },
            {
                "state": 13,
                "configId": 300013,
                "groupId": 10
            },
            {
                "state": 8,
                "configId": 300001,
                "groupId": 15
            }
        ]],
        mazeGroupList: [{ groupId: mapping.GroupID, modifyTime: BigInt(Math.floor(Date.now() / 1000)) }],
        unlockTeleportList: []
    } as GetSceneMapInfoScRsp;

    // TODO: No excel info atm
    for (let i = 0; i < 500; i++) {
        dataObj.lightenSectionList!.push(i)
    }

    dataObj.unlockTeleportList = MappingInfo.getTeleportPoints(mapping.PlaneID!).map(x => x.ID);

    session.send(GetSceneMapInfoScRsp, dataObj);
}