import { InteractPropCsReq, InteractPropScRsp, SceneEntityUpdateScNotify } from "../../data/proto/StarRail";
import InteractConfig from "../../util/excel/InteractConfig";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <InteractPropCsReq>packet.body;

    const interaction = InteractConfig.fromId(body.interactId ?? 0);

    session.send(InteractPropScRsp, {
        // motion: body.motion,
        propEntityId: body.propEntityId,
        propState: InteractConfig.propState(interaction?.TargetState),
    });

    const entity = session.player.scene.entities.get(body.propEntityId ?? 0);
    if (entity) {
        const SEI = entity.getSceneEntityInfo();
        if (!SEI || !SEI.prop) return;
        SEI.prop.propState = InteractConfig.propState(interaction?.TargetState);
        
        session.send(SceneEntityUpdateScNotify, {
            entityList: [SEI]
        });
    }
}