import { Item, ItemList, PvebattleResultCsReq, PvebattleResultScRsp } from "../../data/proto/StarRail";
import MapEntrance from "../../util/excel/MapEntrance";
import MazePlane from "../../util/excel/MazePlane";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = packet.body as PvebattleResultCsReq;
    
    // Add drops, for our little gambling addicts.
    const inventory = await session.player.getInventory();
    inventory.addItem(102, 10, session.player);

    // Build response.
    session.c.debug(body)
    const dataObj : PvebattleResultScRsp = {
        // retcode: 0,
        // stageId: body.stageId,
        // curFinishChallenge: 0,
        // avatarExpReward: 0,
        // binVer: "",
        // resVer: String(body.resVersion),
        // battleId: body.battleId,
        // endStatus: body.endStatus,
        // checkIdentical: true,
        // eventId: 0,
        // mismatchTurnCount: 0
        battleId: body.battleId,
        // binVer: "3103804-V0.90Live",
        // resVer: "3235714",
        // checkIdentical: false,
        extraDropData: { itemList: [{ itemId: 101, num: 10 } as Item] } as ItemList, // Does NOTHING afaik
        dropData: { itemList: [{ itemId: 102, num: 10 } as Item] } as ItemList,
        endStatus: body.endStatus,
        mapId: body.mapId,
        // Remove last character from stageId.
        eventId: Number(body.mapId?.toString().slice(0, -1)),
    };

    // Send response.
    session.send(PvebattleResultScRsp, dataObj);
}