import { Retcode, SetNicknameCsReq, SetNicknameScRsp } from "../../data/proto/StarRail";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

export default async function handle(session: Session, packet: Packet) {
    const body = <SetNicknameCsReq>packet.body;
    if (!body.isModify) return session.send(SetNicknameScRsp, { retcode: 0, isModify: false });
    if (!body.nickname) return session.send(SetNicknameScRsp, { retcode: Retcode.RETCODE_RET_REQ_PARA_INVALID, isModify: false });

    session.player.db.basicInfo.nickname = body.nickname;
    await session.player.save();

    session.send(SetNicknameScRsp, { retcode: 0, isModify: true });
    session.sync();
}