import { GetCurSceneInfoScRsp, SceneEntityUpdateScNotify, SpringTransferCsReq, SpringTransferScRsp } from "../../data/proto/StarRail";
import MazePlane from "../../util/excel/MazePlane";
import Packet from "../kcp/Packet";
import Session from "../kcp/Session";

// req: { propEntityId: 4195383, planeId: 20131, floorId: 20131001 }
export default async function handle(session: Session, packet: Packet) {
    const body = <SpringTransferCsReq>packet.body;

    const sEntity = session.player.scene.entities.get(body.propEntityId ?? 0);
    const planeID = MazePlane.fromPlaneId(body.planeId ?? session.player.db.posData.planeID)!;
    if (sEntity) session.player.scene.plrEntity!.pos = sEntity.pos;

    session.send(SpringTransferScRsp, {
        retcode: 0,
    });

    session.player.scene.reset();
    session.send(GetCurSceneInfoScRsp, {
        retcode: 0,
        scene: {
            planeId: body.planeId,
            floorId: body.floorId,
            entityList: [
                session.player.scene.plrEntity!.getSceneEntityInfo(),
                ...session.player.scene.spawnDefaultEntities(),
            ],
            entityBuffList: [],
            entryId: session.player.scene.entryId,
            envBuffList: [],
            gameModeType: MazePlane.getGameModeForPlaneType(planeID.PlaneType),
            lightenSectionList: new Array(500).fill(0).map((_, i) => i + 1)
        },
    } as GetCurSceneInfoScRsp);
}