import fs from 'fs';
import { resolve as r } from 'path';

export interface Banner {
    gachaId: number;
    rateUpItems4: number[];
    rateUpItems5: number[];
    costItemId: number;
}

export default class BannerConfig {
    private constructor() { }

    public static fromId(id: number) {
        return this.all().find(x => x.gachaId === id);
    }

    public static all(): Banner[] {
        //? 1001: Standard
        //? Possible: 1001, 2001, 2002, 2005, 3001, 3002, 3005, 4001
        let banners: Banner[] = [{
            gachaId: 2005,
            costItemId: 102,
            rateUpItems4: [1105, 1106, 1109],
            rateUpItems5: [1102]
        }];

        try {
            banners = JSON.parse(fs.readFileSync(r(__dirname, "../../banners.json"), "utf8"));
        } catch {
            fs.writeFileSync(r(__dirname, "../../banners.json"), JSON.stringify(banners, null, 4));
        }

        return banners;
    }
}