import { readFileSync } from "fs";
import { resolve as r } from "path";
import type { SceneEntityInfo } from "../data/proto/StarRail";

interface SceneDataI {
    entities: SceneEntityInfo[];
}

export default class SceneData {
    private constructor() { }

    public static fromId(id: number) {
        return getJSON(id);
    }
}

function getJSON(id: number | string): SceneDataI {
    try {
        return JSON.parse(readFileSync(r(__dirname, `../data/scene/${id}.json`), "utf8"));
    } catch {
        return {
            entities: []
        };
    }
}