import ItemExcelTable from "../../data/excel/ItemConfig.json";
import ItemAvatarExcelTable from "../../data/excel/ItemConfigAvatar.json";
import ItemAvatarRankExcelTable from "../../data/excel/ItemConfigAvatarRank.json";
import ItemEquipmentExcelTable from "../../data/excel/ItemConfigEquipment.json";

export default class ItemConfig {
    private constructor() { }

    public static all() {
        return [...ItemExcelTable, /*...ItemAvatarExcelTable, ...ItemAvatarRankExcelTable,*/ ...ItemEquipmentExcelTable];
    }

    public static fromId(id: number) {
        return ItemExcelTable.find(x => x.ID === id);
    }

    public static fromAvatarId(id: number) {
        return ItemAvatarExcelTable.find(x => x.ID === id);
    }

    public static fromEidolonId(id: number) {
        return ItemAvatarRankExcelTable.find(x => x.ID === id);
    }

    public static fromEquipmentId(id: number) {
        return ItemEquipmentExcelTable.find(x => x.ID === id);
    }
}