import MazePlaneExcelTable from "../../data/excel/MazePlane.json";
import MapEntrance from "./MapEntrance";

export default class MazePlane {
    private constructor() { }

    public static fromEntryId(entryId: number) {
        const mapEntry = MapEntrance.fromId(entryId);
        if (!mapEntry) return null;
        return MazePlane.fromPlaneId(mapEntry.PlaneID);
    }

    public static fromPlaneId(planeId: number) {
        return MazePlaneExcelTable.find(x => x.PlaneID === planeId);
    }

    public static getGameModeForPlaneType(planeType: string): number {
        switch (planeType) {
            case "Town": return 1;
            case "Maze": return 2;
            case "Train": return 3;
            case "Challenge": return 4;
            case "RogueExplore": return 5;
            case "RogueChallenge": return 6;
            case "TownRoom": return 7;
            case "Raid": return 8;
            case "FarmRelic": return 9;
            case "Client": return 10;
            case "ChallengeActivity": return 11;
        }

        return 0;
    }
}