import RewardExcelTable from "../../data/excel/RewardData.json";
import { Item } from "../../data/proto/StarRail";

export default class RewardData {
    private constructor() { }

    public static fromId(id: number) {
        return Object.values(RewardExcelTable).find(Reward => Reward.RewardID === id);
    }

    public static all() {
        return Object.values(RewardExcelTable);
    }

    public static parse(reward: ReturnType<typeof RewardData["fromId"]>) {
        if (!reward) return null;
        const items = new Array<Item>();

        for (let i = 1; i <= 6; i++) {
            // @ts-ignore
            const itemID = reward[`ItemID_${i}`];
            // @ts-ignore
            const count = reward[`Count_${i}`];
            // @ts-ignore
            const level = reward[`Level_${i}`];
            // @ts-ignore
            const rank = reward[`Rank_${i}`];

            const item = <Item>{
                itemId: itemID,
                num: count,
                level,
                rank,
            }
            items.push(item);
        }

        return {
            rewardId: reward?.RewardID,
            hcoin: reward?.Hcoin,
            itemList: items
        }
    }
}