import StageExcelTable from "../../data/excel/StageConfig.json";

// Intellisense not loading? Must be too big smh
type MonsterIndex = "Monster0" | "Monster1" | "Monster2" | "Monster3" | "Monster4"

interface StageExcelTableEntry {
    MonsterList: { [K in MonsterIndex]?: number }[]
}

export default class StageConfig {
    private constructor() { }

    public static fromId(id: number): StageExcelTableEntry {
        return (<Array<any>>StageExcelTable).find(e => e.StageID === id);
    }

    /**
     * @param entry StageExcelTableEntry
     * @returns Array of Monster IDS from the StageExcelTableEntry
     */
    public static parse(entry: StageExcelTableEntry) {
        return entry.MonsterList.map(e => Object.values(e).filter(e => e !== undefined && typeof e === "number"));
    }
}